LINDEBUGFS(4)

NAME
lindebugfs - Linux file system for debugging

SYNOPSIS

    lindebugfs		/sys/kernel/debug	lindebugfs	rw 0 0

DESCRIPTION
The debug file system, or debugfs, makes process debugging easier by providing a simple API for data transfer between the kernel and user space. Debugfs is not a general-purpose file system and should not be used as a storage medium. Instead, developers can implement the debugfs interface in their code to generate debug information about their program at runtime. FreeBSD's lindebugfs uses the pseudofs(9) file system construction kit to model itself after Linux's debugfs. The lindebugfs API is intended for use with programs that take advantage of FreeBSD's LinuxKPI compatibility layer.

When mounted, lindebugfs will populate with pseudo files from any running process that calls debugfs_create_file(). Since lindebugfs is a pseudo file system, file contents will be generated dynamically based on program provided file operations. The current lindebugfs implementation formally supports seq_file and simple_attr_file virtual file formats.

EXAMPLES
Load the lindebugfs kernel module:

    kldload lindebugfs

Mount the lindebugfs file system on /sys/kernel/debug:

    mount -t lindebugfs lindebugfs /sys/kernel/debug

SEE ALSO
mount(1), linprocfs(4), linsysfs(4), linux(4), pseudofs(9)

HISTORY
The lindebugfs file system first appeared in FreeBSD 12.1.

AUTHORS
-nosplit The initial implementation for lindebugfs was created by Matthew Macy. This manual page was written by Jake Freeland.